package ConectarObdcToBbdd_BasesDeDatos;

import java.sql.*;

public class ConectarObdcToBbdd_BasesDeDatos {
	
	public static void main( String[] args ) {
	  
		Connection conexion;
	    Statement sentencia;

	    System.out.println( "> Iniciando el programa .." );
    
	    // Cargamos driver ...
	    try {
	    	
	    	Class.forName( "sun.jdbc.odbc.jdbcOdbcDriver");
	    	
	    } catch( Exception e ) {
	    	
	    	System.out.println( "- No se ha podido cargar el puente" );
	    	return;
	    	
	    }
	    
	    // Establecemos conexion con la base de datos ...
	    try {
	    	
	      conexion = DriverManager.getConnection("jdbc:odbc:pruebaodbc", "", "");
	      sentencia = conexion.createStatement();
	      
	      /* Borramos tabla si existe ... */
	      try {
	    	  
	    	  sentencia.execute( "DROP TABLE PRUEBA" );
	    	  
	      } catch(SQLException sqlerr) {
	    	  
	    	  System.out.println("- Ha habido un error ... " + sqlerr.getMessage());
	    	  
	      }
	   
	      /* Creamos tabla ... */
    	  sentencia.execute( "CREATE TABLE PRUEBA (" +
    			  " ID INTEGER() NOT NULL, " +
    			  " NOMBRE VARCHAR(50) NOT NULL, " +
    			  " APELLIDOS VARCHAR(50) NOT NULL) " );
	      sentencia.execute( "INSERT INTO PRUEBA " + "VALUES(1,'JOSE','LOPEZ')" );
	      sentencia.execute( "INSERT INTO PRUEBA " + "VALUES(2,'PEPE','GARCIA')" );
	      sentencia.execute( "INSERT INTO PRUEBA " + "VALUES(3,'ROBERTO','JIMENEZ')" );
		      
	      
	    } catch(Exception e) {
	    	
	    	  System.out.println("- Ha habido un error ... " + e.getMessage());
	    	  return;
	    	
	    }
	    
	    /* Confirmamos ... */
	    System.out.println( "+ Se ha creado el objeto correctamente" );
	  
	}
	
}
